package firefox-3.5 3.5+nobinonly-0ubuntu1 failed to install/upgrade: el subproceso installed post-installation script devolvió el código de salida de error 2

Bug #400853 reported by Rafael Belmonte on 2009-07-17
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
firefox-3.5 (Ubuntu)
Undecided
Unassigned
kalternatives (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.5

This error appeared when I tried to install firefox-3.5 package in karmic.

ProblemType: Package
Architecture: amd64
Date: Fri Jul 17 21:49:50 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: el subproceso installed post-installation script devolvió el código de salida de error 2
NonfreeKernelModules: wl
Package: firefox-3.5 3.5+nobinonly-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: firefox-3.5
Title: package firefox-3.5 3.5+nobinonly-0ubuntu1 failed to install/upgrade: el subproceso installed post-installation script devolvió el código de salida de error 2
Uname: Linux 2.6.31-3-generic x86_64

Rafael Belmonte (eaglescreen) wrote :
Rafael Belmonte (eaglescreen) wrote :

The problem may be that Konqueror is corrupting x-www-browser alternative when it is installed or updated:

$ sudo dpkg --configure -a
Setting up konqueror (4:4.2.98-0ubuntu1) ...
update-alternatives: error: /var/lib/dpkg/alternatives/x-www-browser corrupt: invalid status
dpkg: error processing konqueror (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 konqueror

This cause problems at setting up both: Koqueror and Firefox.
I attach the corrupted x-www-browser file.

Jonathan Thomas (echidnaman) wrote :

Konqueror isn't the part of the alternatives file that is corrupted. It appears that the status is. Here's my alternatives file:

auto
/usr/bin/x-www-browser

/usr/bin/firefox-3.0
40
/usr/bin/firefox-3.5
40
/usr/bin/konqueror
100

Changed in kdebase (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) wrote :

Have you tried upgrading to Firefox 3.5.1 yet?

Changed in firefox-3.5 (Ubuntu):
status: New → Incomplete
Micah Gersten (micahg) wrote :

We'd really like to help you figure this out. Could you please try Firefox 3.5.2 to see if you are still having this issue?
Thanks.

Rafael Belmonte (eaglescreen) wrote :

I think the problem may be in kalternatives package, alternatives configuration files edited with kalternatives (karmic), are considered as corrupted by dpkg. Then if I edit x-www-broser with kalternatives, it results broken for dpkg and it later fails to install or upgrade any web browser that need to be added in x-www-browser as like as konqueror or firefox.

Changed in firefox-3.5 (Ubuntu):
status: Incomplete → New
Harald Sitter (apachelogger) wrote :

Still a problem in recent versions?

no longer affects: kdebase (Ubuntu)
Changed in kalternatives (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers